Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Sun 22 Apr 2018, 06:55
All times are UTC - 4
 Forum index » Advanced Topics » Puppy Derivatives
Slacko 5.7.1 woof-CE testing
Moderators: Flash, JohnMurga
Post new topic   Reply to topic View previous topic :: View next topic
Page 2 of 2 [20 Posts]   Goto page: Previous 1, 2
Author Message
8Geee


Joined: 12 May 2008
Posts: 1473
Location: N.E. USA

PostPosted: Sun 15 Apr 2018, 11:50    Post subject: foomatic drivers found  

I found a copy (stored in SSD) of the foomatic files rcrsn51 made a few years back.

Sorry for double link, but some people may need a heads-up. This link goes to the actual upload post, but the first post in the thread should be consulted if any questions.

Foomatic D/L Post

Also found in forum is the post to upgrade Slacko-based pups OpenSSL from 1.0.1 to 1.0.2g. There are a few caveats here AFTER the pet install... mainly that one must go to Slackware.com --> security advisories --> 2018 and D/L the latest OpenSSL patch (1.0.2o). The version is Slackware 14.2, and the solibs are done first as a pet, then the OpenSSL as pet.

The 1.0.2g upgrade link is HERE


Regards
8Geee

_________________
Linux user #498913

Good God!, by the stars in the sky we are lost!
And into the breach we got tossed!
And the world is comin' on fast! --Florence Welch
Back to top
View user's profile Send private message 
HerrBert

Joined: 03 Nov 2016
Posts: 13
Location: NRW, Germany

PostPosted: Thu 19 Apr 2018, 08:01    Post subject:  

frugal install of r6089 on lenovo ideapad S10e
boots ok but no acpi
bootsysinit.log has this:
Code:
acpid: can't open /proc/acpi/event: No such file or directory
acpi_listen: can't open socket /var/run/acpid.socket: No such file or directory

machine-info:
PC Manufacturer: LENOVO
Product Name: 40682HG

Motherboard Vendor: Lenovo
Product Name: Kuril

BIOS Vendor: LENOVO
Version: 14CNA0WW
Release Date: 10/11/2010

Intel(R) Atom(TM) CPU N270 @ 1.60GHz

Linux Kernel: 3.18.105 (i686)
Kernel Version: #1 SMP Tue Apr 17 15:13:17 EDT 2018
PAE Enabled: No

Distro: Slacko Puppy 5.7.1
Window Manager: JWM vgit-905
Desktop Start: xwin jwm

Development:
Bash: 4.2.53
Geany: 1.23.1
Gtkdialog: 0.8.4
Perl: 5.16.3
Yad: 0.19.1
--
busybox: 1.21.0
dhcpcd: 5.5.6
Glibc: 2.15
OpenSSL: 1.0.1u 22 Sep 2016, built on: Thu Sep 22 12:48:08 2016
wpa_supplicant: 2.6

would be great to have an updated version for netbook
Back to top
View user's profile Send private message 
8Geee


Joined: 12 May 2008
Posts: 1473
Location: N.E. USA

PostPosted: Thu 19 Apr 2018, 11:16    Post subject:  

Most netbooks were Intel Atom. No Meltdown or Spectre problems, and no hidden "policeman" on the CPU chip (Intel Management Engine, and other names).

The two items in the post right above yours is all they need.

On the Other Hand, I have made the EONS spin for a few years. It has everything you listed, EXCEPT the kernel is 3.4.82. You may remove the office if you don't want it. As far as I know acpi works in that one, but Lenovo may disagree, just as it did with this version.

Regards
8Geee

_________________
Linux user #498913

Good God!, by the stars in the sky we are lost!
And into the breach we got tossed!
And the world is comin' on fast! --Florence Welch
Back to top
View user's profile Send private message 
HerrBert

Joined: 03 Nov 2016
Posts: 13
Location: NRW, Germany

PostPosted: Fri 20 Apr 2018, 09:58    Post subject:  

Quote:
The two items in the post right above yours is all they need.


i've spent a lot of time to setup slacko5.7.0 (pae though i have only 1G ram - don't remember why i chose this...) the way i wanted.

if it's only about openSSL, i think i can keep my slacko5.7.0 and install the update.

thx for advise
Back to top
View user's profile Send private message 
festus


Joined: 14 Jan 2015
Posts: 163

PostPosted: Fri 20 Apr 2018, 15:04    Post subject:
Subject description: openssl-1.0.2o-i686
 

Here is a pet for openssl-1.0.2o-i686 that I just compiled from slacko-5.7.1
Code:
# openssl version -a
OpenSSL 1.0.2o  27 Mar 2018
built on: reproducible build, date unspecified
platform: linux-elf
options:  bn(64,32) rc4(8x,mmx) des(ptr,risc1,16,long) idea(int) blowfish(idx)
compiler: gcc -I. -I.. -I../include  -fPIC -DOPENSSL_PIC -DOPENSSL_THREADS -D_REENTRANT -DDSO_DLFCN -DHAVE_DLFCN_H -Wa,--noexecstack -DL_ENDIAN -O3 -fomit-frame-pointer -Wall -DOPENSSL_BN_ASM_PART_WORDS -DOPENSSL_IA32_SSE2 -DOPENSSL_BN_ASM_MONT -DOPENSSL_BN_ASM_GF2m -DRC4_ASM -DSHA1_ASM -DSHA256_ASM -DSHA512_ASM -DMD5_ASM -DRMD160_ASM -DAES_ASM -DVPAES_ASM -DWHIRLPOOL_ASM -DGHASH_ASM
OPENSSLDIR: "/etc/ssl"

Download:
https://www.datafilehost.com/d/e104aefe
openssl-1.0.2o-i686.pet 1.34 MB
MD5: 8e52e2058dacd66157d2648bf168e01c

bliss,
festus
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 2 of 2 [20 Posts]   Goto page: Previous 1, 2
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Puppy Derivatives
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0365s ][ Queries: 14 (0.0073s) ][ GZIP on ]